Skip to main content
GET
/
hub_document_blocks
{
  "entries": [
    {
      "id": "c9588f08-22d7-4d17-8ca9-f1e61c98c0bd",
      "type": "section_title",
      "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
      "fragment": "This is the section title"
    },
    {
      "id": "721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e",
      "type": "item_list",
      "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f"
    }
  ],
  "type": "document_blocks",
  "limit": 1000,
  "next_marker": null
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2025.0

Query Parameters

hub_id
string
required

The unique identifier that represent a hub.

The ID for any hub can be determined by visiting this hub in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/hubs/123 the hub_id is 123.

page_id
string
required

The unique identifier of a page within the Box Hub.

marker
string

Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.

limit
integer<int64>

The maximum number of items to return per page.

Required range: x <= 1000

Response

Returns a Hub Document Blocks response whose entries array contains all content blocks of the specified page, except for items. To retrieve items, use the GET /hub_items endpoint.

A list of Hub Document blocks.

entries
(Box Hub Paragraph Text Block · object | Box Hub Section Title Text Block · object | Box Hub Callout Box Text Block · object | Box Hub Item List Block · object | Box Hub Divider Block · object)[]
required

Ordered list of blocks.

A paragraph block in the Box Hub Document.

type
enum<string>
required

The value will always be document_blocks.

Available options:
document_blocks
Example:

"document_blocks"

limit
integer<int64>

The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.

Example:

1000

next_marker
string | null

The marker for the start of the next page of results.

Example:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"